com.io7m.r2.filters

## Class R2EyeZBuffer

- java.lang.Object
- - com.io7m.r2.filters.R2EyeZBuffer

- All Implemented Interfaces:
    com.io7m.jcanephora.core.JCGLResourceSizedType, com.io7m.jcanephora.core.JCGLResourceUsableType, R2DeletableType, R2EyeZBufferType, R2EyeZBufferUsableType

      public final class R2EyeZBuffer
      extends Object
      implements R2EyeZBufferType

  Default implementation of the `R2EyeZBufferType` interface.

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.io7m.jareas.core.AreaInclusiveUnsignedLType` | `area()`
    `void` | `delete(com.io7m.jcanephora.core.api.JCGLInterfaceGL33Type g)` Delete the current object.
    `R2Texture2DUsableType` | `eyeZTexture()`
    `com.io7m.jcanephora.core.JCGLFramebufferUsableType` | `framebuffer()`
    `com.io7m.junsigned.ranges.UnsignedRangeInclusiveL` | `getRange()`
    `boolean` | `isDeleted()`
    `static R2EyeZBufferType` | `newEyeZBuffer(com.io7m.jcanephora.core.api.JCGLFramebuffersType g_fb, com.io7m.jcanephora.core.api.JCGLTexturesType g_t, com.io7m.jcanephora.texture_unit_allocator.JCGLTextureUnitContextParentType tc, com.io7m.jareas.core.AreaInclusiveUnsignedLType area)` Construct a new eye-space Z buffer.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### newEyeZBuffer

          public static R2EyeZBufferType newEyeZBuffer(com.io7m.jcanephora.core.api.JCGLFramebuffersType g_fb,
                                                       com.io7m.jcanephora.core.api.JCGLTexturesType g_t,
                                                       com.io7m.jcanephora.texture_unit_allocator.JCGLTextureUnitContextParentType tc,
                                                       com.io7m.jareas.core.AreaInclusiveUnsignedLType area)

      Construct a new eye-space Z buffer.
      Parameters:
        `g_fb` - A framebuffer interface
        `g_t` - A texture interface
        `tc` - A texture unit context
        `area` - The inclusive area of the buffer
      Returns:
        A new eye-space Z buffer

    - #### eyeZTexture

          public R2Texture2DUsableType eyeZTexture()

      Specified by:
        `eyeZTexture` in interface `R2EyeZBufferUsableType`
      Returns:
        The eye-Z texture

    - #### framebuffer

          public com.io7m.jcanephora.core.JCGLFramebufferUsableType framebuffer()

      Specified by:
        `framebuffer` in interface `R2EyeZBufferUsableType`
      Returns:
        The framebuffer

    - #### area

          public com.io7m.jareas.core.AreaInclusiveUnsignedLType area()

      Specified by:
        `area` in interface `R2EyeZBufferUsableType`
      Returns:
        The viewport area

    - #### getRange

          public com.io7m.junsigned.ranges.UnsignedRangeInclusiveL getRange()

      Specified by:
        `getRange` in interface `com.io7m.jcanephora.core.JCGLResourceSizedType`

    - #### isDeleted

          public boolean isDeleted()

      Specified by:
        `isDeleted` in interface `com.io7m.jcanephora.core.JCGLResourceUsableType`

    - #### delete

          public void delete(com.io7m.jcanephora.core.api.JCGLInterfaceGL33Type g)
                      throws R2Exception

      Description copied from interface: `R2DeletableType`
      Delete the current object.
      Specified by:
        `delete` in interface `R2DeletableType`
      Parameters:
        `g` - An OpenGL interface
      Throws:
        `R2Exception` - On errors

Copyright © 2017 <code@io7m.com> http://io7m.com